summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEray Aslan <eras@gentoo.org>2014-06-13 09:55:45 +0000
committerEray Aslan <eras@gentoo.org>2014-06-13 09:55:45 +0000
commit9aefd9d6fbddddb8795b7b4afcf12dcd9656fb94 (patch)
tree08940212cad9a793e6bf00dbc802f0c652594e23 /net-mail
parentBump to EAPI=5 (diff)
downloadgentoo-2-9aefd9d6fbddddb8795b7b4afcf12dcd9656fb94.tar.gz
gentoo-2-9aefd9d6fbddddb8795b7b4afcf12dcd9656fb94.tar.bz2
gentoo-2-9aefd9d6fbddddb8795b7b4afcf12dcd9656fb94.zip
Remove old
(Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 0x77F1F175586A3B1F)
Diffstat (limited to 'net-mail')
-rw-r--r--net-mail/dovecot/ChangeLog9
-rw-r--r--net-mail/dovecot/dovecot-2.0.19.ebuild282
-rw-r--r--net-mail/dovecot/dovecot-2.1.16.ebuild277
-rw-r--r--net-mail/dovecot/dovecot-2.1.17.ebuild279
-rw-r--r--net-mail/dovecot/files/dovecot-2.1.9_managesieve_gold.patch62
-rw-r--r--net-mail/dovecot/files/dovecot-2.2.8-mail-headers.patch49
-rw-r--r--net-mail/dovecot/files/dovecot-2.2.8-sieve.patch46
-rw-r--r--net-mail/dovecot/files/dovecot.init-r358
8 files changed, 8 insertions, 1054 deletions
diff --git a/net-mail/dovecot/ChangeLog b/net-mail/dovecot/ChangeLog
index 19db99c9376b..6989c5b084b8 100644
--- a/net-mail/dovecot/ChangeLog
+++ b/net-mail/dovecot/ChangeLog
@@ -1,6 +1,13 @@
# ChangeLog for net-mail/dovecot
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/ChangeLog,v 1.482 2014/06/08 10:41:12 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/ChangeLog,v 1.483 2014/06/13 09:55:45 eras Exp $
+
+ 13 Jun 2014; Eray Aslan <eras@gentoo.org> -dovecot-2.0.19.ebuild,
+ -dovecot-2.1.16.ebuild, -dovecot-2.1.17.ebuild,
+ -files/dovecot-2.1.9_managesieve_gold.patch,
+ -files/dovecot-2.2.8-mail-headers.patch, -files/dovecot-2.2.8-sieve.patch,
+ -files/dovecot.init-r3:
+ Remove old
08 Jun 2014; Agostino Sarubbo <ago@gentoo.org> dovecot-2.2.13.ebuild:
Stable for ia64, wrt bug #509954
diff --git a/net-mail/dovecot/dovecot-2.0.19.ebuild b/net-mail/dovecot/dovecot-2.0.19.ebuild
deleted file mode 100644
index 81369748f8ff..000000000000
--- a/net-mail/dovecot/dovecot-2.0.19.ebuild
+++ /dev/null
@@ -1,282 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/dovecot-2.0.19.ebuild,v 1.12 2012/12/19 08:23:34 eras Exp $
-
-EAPI=4
-
-inherit eutils versionator ssl-cert user multilib
-
-MY_P="${P/_/.}"
-major_minor="$( get_version_component_range 1-2 )"
-sieve_version="0.2.6"
-SRC_URI="http://dovecot.org/releases/${major_minor}/${MY_P}.tar.gz
- sieve? (
- http://www.rename-it.nl/dovecot/${major_minor}/dovecot-${major_minor}-pigeonhole-${sieve_version}.tar.gz
- )
- managesieve? (
- http://www.rename-it.nl/dovecot/${major_minor}/dovecot-${major_minor}-pigeonhole-${sieve_version}.tar.gz
- ) "
-DESCRIPTION="An IMAP and POP3 server written with security primarily in mind"
-HOMEPAGE="http://www.dovecot.org/"
-
-SLOT="0"
-LICENSE="LGPL-2.1 MIT"
-KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
-
-IUSE="bzip2 caps cydir sdbox doc ipv6 kerberos ldap +maildir managesieve mbox
-mdbox mysql pam postgres selinux sieve sqlite +ssl static-libs suid vpopmail zlib"
-
-DEPEND="caps? ( sys-libs/libcap )
- kerberos? ( virtual/krb5 )
- ldap? ( net-nds/openldap )
- mysql? ( virtual/mysql )
- pam? ( virtual/pam )
- postgres? ( dev-db/postgresql-base !dev-db/postgresql-base[ldap,threads] )
- selinux? ( sec-policy/selinux-dovecot )
- sqlite? ( dev-db/sqlite )
- ssl? ( dev-libs/openssl )
- vpopmail? ( net-mail/vpopmail )
- virtual/libiconv"
-
-RDEPEND="${DEPEND}
- >=net-mail/mailbase-0.00-r8"
-
-S=${WORKDIR}/${MY_P}
-
-pkg_setup() {
- if use managesieve && ! use sieve; then
- ewarn "managesieve USE flag selected but sieve USE flag unselected"
- ewarn "sieve USE flag will be turned on"
- fi
-
- # Add user and group for login process (same as for fedora/redhat)
- # default internal user
- enewgroup dovecot 97
- enewuser dovecot 97 -1 /dev/null dovecot
- # add "mail" group for suid'ing. Better security isolation.
- if use suid; then
- enewgroup mail
- fi
- # default login user
- enewuser dovenull -1 -1 /dev/null
-}
-
-src_configure() {
- local conf=""
-
- if use postgres || use mysql || use sqlite; then
- conf="${conf} --with-sql"
- fi
-
- local storages=""
- for storage in cydir sdbox mdbox maildir mbox; do
- use ${storage} && storages="${storage} ${storages}"
- done
- [ "${storages}" ] || storages="maildir"
-
- # turn valgrind tests off. Bug #340791
- VALGRIND=no econf \
- --localstatedir="${EPREFIX}/var" \
- --with-moduledir="${EPREFIX}/usr/$(get_libdir)/dovecot" \
- $( use_with bzip2 bzlib ) \
- $( use_with caps libcap ) \
- $( use_with kerberos gssapi ) \
- $( use_with ldap ) \
- $( use_with mysql ) \
- $( use_with pam ) \
- $( use_with postgres pgsql ) \
- $( use_with sqlite ) \
- $( use_with ssl ) \
- $( use_with vpopmail ) \
- $( use_with zlib ) \
- $( use_enable static-libs static ) \
- --with-storages="${storages}" \
- --disable-rpath \
- --without-systemdsystemunitdir \
- ${conf}
-
- if use sieve || use managesieve ; then
- # The sieve plugin needs this file to be build to determine the plugin
- # directory and the list of libraries to link to.
- emake dovecot-config || die "emake dovecot-config failed"
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- econf \
- $( use_enable static-libs static ) \
- --localstatedir="${EPREFIX}/var" \
- --enable-shared \
- --with-dovecot="../${MY_P}" \
- $( use_with managesieve )
- fi
-}
-
-src_compile() {
- emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
-
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
- fi
-}
-
-src_test() {
- default_src_test
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- default_src_test
- fi
-}
-
-src_install () {
- emake DESTDIR="${ED}" install
-
- # insecure:
- # use suid && fperms u+s /usr/libexec/dovecot/deliver
- # better:
- if use suid;then
- einfo "Changing perms to allow deliver to be suided"
- fowners root:mail "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
- fperms 4750 "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
- fi
-
- newinitd "${FILESDIR}"/dovecot.init-r3 dovecot
-
- rm -rf "${ED}"/usr/share/doc/dovecot
-
- dodoc AUTHORS NEWS README TODO
- dodoc doc/*.{txt,cnf,xml,sh}
- docinto example-config
- dodoc doc/example-config/*.{conf,ext}
- docinto example-config/conf.d
- dodoc doc/example-config/conf.d/*.{conf,ext}
- docinto wiki
- dodoc doc/wiki/*
- doman doc/man/*.{1,7}
-
- # Create the dovecot.conf file from the dovecot-example.conf file that
- # the dovecot folks nicely left for us....
- local conf="${ED}/etc/dovecot/dovecot.conf"
- local confd="${ED}/etc/dovecot/conf.d"
-
- insinto /etc/dovecot
- doins doc/example-config/*.{conf,ext}
- insinto /etc/dovecot/conf.d
- doins doc/example-config/conf.d/*.{conf,ext}
- fperms 0600 "${EPREFIX}"/etc/dovecot/dovecot-{ldap,sql}.conf.ext
- rm -f "${confd}/../README"
-
- # .maildir is the Gentoo default
- local mail_location="maildir:~/.maildir"
- if ! use maildir; then
- if use mbox; then
- mail_location="mbox:/var/spool/mail/%u:INDEX=/var/dovecot/%u"
- keepdir /var/dovecot
- sed -i -e 's|#mail_privileged_group =|mail_privileged_group = mail|' \
- "${confd}/10-mail.conf" || die "sed failed"
- elif use sdbox ; then
- mail_location="sdbox:~/.sdbox"
- elif use mdbox ; then
- mail_location="mdbox:~/.mdbox"
- fi
- fi
- sed -i -e \
- "s|#mail_location =|mail_location = ${mail_location}|" \
- "${confd}/10-mail.conf" \
- || die "failed to update mail location settings in 10-mail.conf"
-
- # We're using pam files (imap and pop3) provided by mailbase
- if use pam; then
- sed -i -e '/driver = pam/,/^[ \t]*}/ s|#args = dovecot|args = "\*"|' \
- "${confd}/auth-system.conf.ext" \
- || die "failed to update PAM settings in auth-system.conf.ext"
- # mailbase does not provide a sieve pam file
- use managesieve && dosym imap /etc/pam.d/sieve
- sed -i -e \
- 's/#!include auth-system.conf.ext/!include auth-system.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update PAM settings in 10-auth.conf"
- fi
-
- # Disable ipv6 if necessary
- if ! use ipv6; then
- sed -i -e 's/^#listen = \*, ::/listen = \*/g' "${conf}" \
- || die "failed to update listen settings in dovecot.conf"
- fi
-
- # Update ssl cert locations
- if use ssl; then
- sed -i -e 's:^#ssl = yes:ssl = yes:' "${confd}/10-ssl.conf" \
- || die "ssl conf failed"
- sed -i -e 's:^ssl_cert =.*:ssl_cert = </etc/ssl/dovecot/server.pem:' \
- -e 's:^ssl_key =.*:ssl_key = </etc/ssl/dovecot/server.key:' \
- "${confd}/10-ssl.conf" || die "failed to update SSL settings in 10-ssl.conf"
- fi
-
- # Install SQL configuration
- if use mysql || use postgres; then
- sed -i -e \
- 's/#!include auth-sql.conf.ext/!include auth-sql.conf.ext/' \
- "${confd}/10-auth.conf" || die "failed to update SQL settings in \
- 10-auth.conf"
- fi
-
- # Install LDAP configuration
- if use ldap; then
- sed -i -e \
- 's/#!include auth-ldap.conf.ext/!include auth-ldap.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update ldap settings in 10-auth.conf"
- fi
-
- if use vpopmail; then
- sed -i -e \
- 's/#!include auth-vpopmail.conf.ext/!include auth-vpopmail.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update vpopmail settings in 10-auth.conf"
- fi
-
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- emake DESTDIR="${ED}" install
- sed -i -e \
- 's/^[[:space:]]*#mail_plugins = $mail_plugins/mail_plugins = sieve/' "${confd}/15-lda.conf" \
- || die "failed to update sieve settings in 15-lda.conf"
- rm -rf "${ED}"/usr/share/doc/dovecot
- dodoc doc/*.txt
- docinto example-config/conf.d
- dodoc doc/example-config/conf.d/*.conf
- insinto /etc/dovecot/conf.d
- doins doc/example-config/conf.d/90-sieve.conf
- use managesieve && doins doc/example-config/conf.d/20-managesieve.conf
- docinto sieve/rfc
- dodoc doc/rfc/*.txt
- docinto sieve/devel
- dodoc doc/devel/DESIGN
- doman doc/man/*.{1,7}
- fi
-
- use static-libs || find "${ED}"/usr/lib* -name '*.la' -delete
-}
-
-pkg_preinst() {
- if has_version "<${CATEGORY}/${PN}-2" ; then
- elog "There are a lot of changes in configuration files in dovecot-2.0."
- elog "Please read http://wiki.dovecot.org/Upgrading and"
- elog "check the conf files in ${ROOT}etc/dovecot."
- elog "You can also run doveconf -n before running etc-update or"
- elog "dispatch-conf to get an idea about what needs to be changed."
- ewarn "\nDo NOT {re}start dovecot without checking your conf files"
- ewarn "and making the necessary changes.\n"
- fi
-}
-
-pkg_postinst() {
- if use ssl; then
- # Let's not make a new certificate if we already have one
- if ! [[ -e "${ROOT}"/etc/ssl/dovecot/server.pem && \
- -e "${ROOT}"/etc/ssl/dovecot/server.key ]]; then
- einfo "Creating SSL certificate"
- SSL_ORGANIZATION="${SSL_ORGANIZATION:-Dovecot IMAP Server}"
- install_cert /etc/ssl/dovecot/server
- fi
- fi
-}
diff --git a/net-mail/dovecot/dovecot-2.1.16.ebuild b/net-mail/dovecot/dovecot-2.1.16.ebuild
deleted file mode 100644
index 84b0dca0ebf6..000000000000
--- a/net-mail/dovecot/dovecot-2.1.16.ebuild
+++ /dev/null
@@ -1,277 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/dovecot-2.1.16.ebuild,v 1.12 2013/06/02 08:40:18 ago Exp $
-
-EAPI=5
-inherit eutils versionator ssl-cert systemd user multilib
-
-MY_P="${P/_/.}"
-major_minor="$(get_version_component_range 1-2)"
-sieve_version="0.3.4"
-SRC_URI="http://www.dovecot.org/releases/${major_minor}/${MY_P}.tar.gz
- sieve? (
- http://www.rename-it.nl/dovecot/${major_minor}/dovecot-${major_minor}-pigeonhole-${sieve_version}.tar.gz
- )
- managesieve? (
- http://www.rename-it.nl/dovecot/${major_minor}/dovecot-${major_minor}-pigeonhole-${sieve_version}.tar.gz
- ) "
-DESCRIPTION="An IMAP and POP3 server written with security primarily in mind"
-HOMEPAGE="http://www.dovecot.org/"
-
-SLOT="0"
-LICENSE="LGPL-2.1 MIT"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86"
-
-IUSE_DOVECOT_AUTH="kerberos ldap mysql pam postgres sqlite vpopmail"
-IUSE_DOVECOT_STORAGE="cydir imapc +maildir mbox mdbox pop3c sdbox"
-IUSE_DOVECOT_OTHER="bzip2 caps doc ipv6 lucene managesieve selinux sieve +ssl
-static-libs suid tcpd zlib"
-
-IUSE="${IUSE_DOVECOT_AUTH} ${IUSE_DOVECOT_STORAGE} ${IUSE_DOVECOT_OTHER}"
-
-DEPEND="caps? ( sys-libs/libcap )
- kerberos? ( virtual/krb5 )
- ldap? ( net-nds/openldap )
- lucene? ( >=dev-cpp/clucene-2.3 )
- mysql? ( virtual/mysql )
- pam? ( virtual/pam )
- postgres? ( dev-db/postgresql-base !dev-db/postgresql-base[ldap,threads] )
- selinux? ( sec-policy/selinux-dovecot )
- sqlite? ( dev-db/sqlite )
- ssl? ( dev-libs/openssl )
- tcpd? ( sys-apps/tcp-wrappers )
- vpopmail? ( net-mail/vpopmail )
- virtual/libiconv"
-
-RDEPEND="${DEPEND}
- >=net-mail/mailbase-0.00-r8"
-
-S=${WORKDIR}/${MY_P}
-
-pkg_setup() {
- if use managesieve && ! use sieve; then
- ewarn "managesieve USE flag selected but sieve USE flag unselected"
- ewarn "sieve USE flag will be turned on"
- fi
- # default internal user
- enewgroup dovecot 97
- enewuser dovecot 97 -1 /dev/null dovecot
- # default login user
- enewuser dovenull -1 -1 /dev/null
- # add "mail" group for suid'ing. Better security isolation.
- if use suid; then
- enewgroup mail
- fi
-}
-
-src_configure() {
- local conf=""
-
- if use postgres || use mysql || use sqlite; then
- conf="${conf} --with-sql"
- fi
-
- local storages=""
- for storage in ${IUSE_DOVECOT_STORAGE//+/}; do
- use ${storage} && storages="${storage} ${storages}"
- done
- [ "${storages}" ] || storages="maildir"
-
- # turn valgrind tests off. Bug #340791
- VALGRIND=no econf \
- --localstatedir="${EPREFIX}/var" \
- --with-moduledir="${EPREFIX}/usr/$(get_libdir)/dovecot" \
- --without-stemmer \
- --with-storages="${storages}" \
- --disable-rpath \
- $( systemd_with_unitdir ) \
- $( use_with bzip2 bzlib ) \
- $( use_with caps libcap ) \
- $( use_with kerberos gssapi ) \
- $( use_with ldap ) \
- $( use_with lucene ) \
- $( use_with mysql ) \
- $( use_with pam ) \
- $( use_with postgres pgsql ) \
- $( use_with sqlite ) \
- $( use_with ssl ) \
- $( use_with tcpd libwrap ) \
- $( use_with vpopmail ) \
- $( use_with zlib ) \
- $( use_enable static-libs static ) \
- ${conf}
-
- if use sieve || use managesieve ; then
- # The sieve plugin needs this file to be build to determine the plugin
- # directory and the list of libraries to link to.
- emake dovecot-config
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- econf \
- $( use_enable static-libs static ) \
- --localstatedir="${EPREFIX}/var" \
- --enable-shared \
- --with-dovecot="../${MY_P}" \
- $( use_with managesieve )
- fi
-}
-
-src_compile() {
- default
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
- fi
-}
-
-src_test() {
- default
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- default
- fi
-}
-
-src_install () {
- default
-
- # insecure:
- # use suid && fperms u+s /usr/libexec/dovecot/deliver
- # better:
- if use suid;then
- einfo "Changing perms to allow deliver to be suided"
- fowners root:mail "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
- fperms 4750 "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
- fi
-
- newinitd "${FILESDIR}"/dovecot.init-r4 dovecot
-
- rm -rf "${ED}"/usr/share/doc/dovecot
-
- dodoc AUTHORS NEWS README TODO
- dodoc doc/*.{txt,cnf,xml,sh}
- docinto example-config
- dodoc doc/example-config/*.{conf,ext}
- docinto example-config/conf.d
- dodoc doc/example-config/conf.d/*.{conf,ext}
- docinto wiki
- dodoc doc/wiki/*
- doman doc/man/*.{1,7}
-
- # Create the dovecot.conf file from the dovecot-example.conf file that
- # the dovecot folks nicely left for us....
- local conf="${ED}/etc/dovecot/dovecot.conf"
- local confd="${ED}/etc/dovecot/conf.d"
-
- insinto /etc/dovecot
- doins doc/example-config/*.{conf,ext}
- insinto /etc/dovecot/conf.d
- doins doc/example-config/conf.d/*.{conf,ext}
- fperms 0600 "${EPREFIX}"/etc/dovecot/dovecot-{ldap,sql}.conf.ext
- rm -f "${confd}/../README"
-
- # .maildir is the Gentoo default
- local mail_location="maildir:~/.maildir"
- if ! use maildir; then
- if use mbox; then
- mail_location="mbox:/var/spool/mail/%u:INDEX=/var/dovecot/%u"
- keepdir /var/dovecot
- sed -i -e 's|#mail_privileged_group =|mail_privileged_group = mail|' \
- "${confd}/10-mail.conf" || die "sed failed"
- elif use mdbox ; then
- mail_location="mdbox:~/.mdbox"
- elif use sdbox ; then
- mail_location="sdbox:~/.sdbox"
- fi
- fi
- sed -i -e \
- "s|#mail_location =|mail_location = ${mail_location}|" \
- "${confd}/10-mail.conf" \
- || die "failed to update mail location settings in 10-mail.conf"
-
- # We're using pam files (imap and pop3) provided by mailbase
- if use pam; then
- sed -i -e '/driver = pam/,/^[ \t]*}/ s|#args = dovecot|args = "\*"|' \
- "${confd}/auth-system.conf.ext" \
- || die "failed to update PAM settings in auth-system.conf.ext"
- # mailbase does not provide a sieve pam file
- use managesieve && dosym imap /etc/pam.d/sieve
- sed -i -e \
- 's/#!include auth-system.conf.ext/!include auth-system.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update PAM settings in 10-auth.conf"
- fi
-
- # Disable ipv6 if necessary
- if ! use ipv6; then
- sed -i -e 's/^#listen = \*, ::/listen = \*/g' "${conf}" \
- || die "failed to update listen settings in dovecot.conf"
- fi
-
- # Update ssl cert locations
- if use ssl; then
- sed -i -e 's:^#ssl = yes:ssl = yes:' "${confd}/10-ssl.conf" \
- || die "ssl conf failed"
- sed -i -e 's:^ssl_cert =.*:ssl_cert = </etc/ssl/dovecot/server.pem:' \
- -e 's:^ssl_key =.*:ssl_key = </etc/ssl/dovecot/server.key:' \
- "${confd}/10-ssl.conf" || die "failed to update SSL settings in 10-ssl.conf"
- fi
-
- # Install SQL configuration
- if use mysql || use postgres; then
- sed -i -e \
- 's/#!include auth-sql.conf.ext/!include auth-sql.conf.ext/' \
- "${confd}/10-auth.conf" || die "failed to update SQL settings in \
- 10-auth.conf"
- fi
-
- # Install LDAP configuration
- if use ldap; then
- sed -i -e \
- 's/#!include auth-ldap.conf.ext/!include auth-ldap.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update ldap settings in 10-auth.conf"
- fi
-
- if use vpopmail; then
- sed -i -e \
- 's/#!include auth-vpopmail.conf.ext/!include auth-vpopmail.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update vpopmail settings in 10-auth.conf"
- fi
-
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- emake DESTDIR="${ED}" install
- sed -i -e \
- 's/^[[:space:]]*#mail_plugins = $mail_plugins/mail_plugins = sieve/' "${confd}/15-lda.conf" \
- || die "failed to update sieve settings in 15-lda.conf"
- rm -rf "${ED}"/usr/share/doc/dovecot
- dodoc doc/*.txt
- docinto example-config/conf.d
- dodoc doc/example-config/conf.d/*.conf
- insinto /etc/dovecot/conf.d
- doins doc/example-config/conf.d/90-sieve.conf
- use managesieve && doins doc/example-config/conf.d/20-managesieve.conf
- docinto sieve/rfc
- dodoc doc/rfc/*.txt
- docinto sieve/devel
- dodoc doc/devel/DESIGN
- doman doc/man/*.{1,7}
- fi
-
- use static-libs || find "${ED}"/usr/lib* -name '*.la' -delete
-}
-
-pkg_postinst() {
- if use ssl; then
- # Let's not make a new certificate if we already have one
- if ! [[ -e "${ROOT}"/etc/ssl/dovecot/server.pem && \
- -e "${ROOT}"/etc/ssl/dovecot/server.key ]]; then
- einfo "Creating SSL certificate"
- SSL_ORGANIZATION="${SSL_ORGANIZATION:-Dovecot IMAP Server}"
- install_cert /etc/ssl/dovecot/server
- fi
- fi
-
- elog "Please read http://wiki2.dovecot.org/Upgrading/ for upgrade notes."
-}
diff --git a/net-mail/dovecot/dovecot-2.1.17.ebuild b/net-mail/dovecot/dovecot-2.1.17.ebuild
deleted file mode 100644
index 1a5ed8b01dd8..000000000000
--- a/net-mail/dovecot/dovecot-2.1.17.ebuild
+++ /dev/null
@@ -1,279 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/dovecot-2.1.17.ebuild,v 1.1 2013/07/04 10:11:48 eras Exp $
-
-EAPI=5
-inherit eutils versionator ssl-cert systemd user multilib
-
-MY_P="${P/_/.}"
-major_minor="$(get_version_component_range 1-2)"
-sieve_version="0.3.4"
-SRC_URI="http://www.dovecot.org/releases/${major_minor}/${MY_P}.tar.gz
- sieve? (
- http://www.rename-it.nl/dovecot/${major_minor}/dovecot-${major_minor}-pigeonhole-${sieve_version}.tar.gz
- )
- managesieve? (
- http://www.rename-it.nl/dovecot/${major_minor}/dovecot-${major_minor}-pigeonhole-${sieve_version}.tar.gz
- ) "
-DESCRIPTION="An IMAP and POP3 server written with security primarily in mind"
-HOMEPAGE="http://www.dovecot.org/"
-
-SLOT="0"
-LICENSE="LGPL-2.1 MIT"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
-
-IUSE_DOVECOT_AUTH="kerberos ldap mysql pam postgres sqlite vpopmail"
-IUSE_DOVECOT_STORAGE="cydir imapc +maildir mbox mdbox pop3c sdbox"
-IUSE_DOVECOT_OTHER="bzip2 caps doc ipv6 lucene managesieve selinux sieve solr +ssl
-static-libs suid tcpd zlib"
-
-IUSE="${IUSE_DOVECOT_AUTH} ${IUSE_DOVECOT_STORAGE} ${IUSE_DOVECOT_OTHER}"
-
-DEPEND="caps? ( sys-libs/libcap )
- kerberos? ( virtual/krb5 )
- ldap? ( net-nds/openldap )
- lucene? ( >=dev-cpp/clucene-2.3 )
- mysql? ( virtual/mysql )
- pam? ( virtual/pam )
- postgres? ( dev-db/postgresql-base !dev-db/postgresql-base[ldap,threads] )
- selinux? ( sec-policy/selinux-dovecot )
- solr? ( net-misc/curl dev-libs/expat )
- sqlite? ( dev-db/sqlite )
- ssl? ( dev-libs/openssl )
- tcpd? ( sys-apps/tcp-wrappers )
- vpopmail? ( net-mail/vpopmail )
- virtual/libiconv"
-
-RDEPEND="${DEPEND}
- >=net-mail/mailbase-0.00-r8"
-
-S=${WORKDIR}/${MY_P}
-
-pkg_setup() {
- if use managesieve && ! use sieve; then
- ewarn "managesieve USE flag selected but sieve USE flag unselected"
- ewarn "sieve USE flag will be turned on"
- fi
- # default internal user
- enewgroup dovecot 97
- enewuser dovecot 97 -1 /dev/null dovecot
- # default login user
- enewuser dovenull -1 -1 /dev/null
- # add "mail" group for suid'ing. Better security isolation.
- if use suid; then
- enewgroup mail
- fi
-}
-
-src_configure() {
- local conf=""
-
- if use postgres || use mysql || use sqlite; then
- conf="${conf} --with-sql"
- fi
-
- local storages=""
- for storage in ${IUSE_DOVECOT_STORAGE//+/}; do
- use ${storage} && storages="${storage} ${storages}"
- done
- [ "${storages}" ] || storages="maildir"
-
- # turn valgrind tests off. Bug #340791
- VALGRIND=no econf \
- --localstatedir="${EPREFIX}/var" \
- --with-moduledir="${EPREFIX}/usr/$(get_libdir)/dovecot" \
- --without-stemmer \
- --with-storages="${storages}" \
- --disable-rpath \
- $( systemd_with_unitdir ) \
- $( use_with bzip2 bzlib ) \
- $( use_with caps libcap ) \
- $( use_with kerberos gssapi ) \
- $( use_with ldap ) \
- $( use_with lucene ) \
- $( use_with mysql ) \
- $( use_with pam ) \
- $( use_with postgres pgsql ) \
- $( use_with sqlite ) \
- $( use_with solr ) \
- $( use_with ssl ) \
- $( use_with tcpd libwrap ) \
- $( use_with vpopmail ) \
- $( use_with zlib ) \
- $( use_enable static-libs static ) \
- ${conf}
-
- if use sieve || use managesieve ; then
- # The sieve plugin needs this file to be build to determine the plugin
- # directory and the list of libraries to link to.
- emake dovecot-config
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- econf \
- $( use_enable static-libs static ) \
- --localstatedir="${EPREFIX}/var" \
- --enable-shared \
- --with-dovecot="../${MY_P}" \
- $( use_with managesieve )
- fi
-}
-
-src_compile() {
- default
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
- fi
-}
-
-src_test() {
- default
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- default
- fi
-}
-
-src_install () {
- default
-
- # insecure:
- # use suid && fperms u+s /usr/libexec/dovecot/deliver
- # better:
- if use suid;then
- einfo "Changing perms to allow deliver to be suided"
- fowners root:mail "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
- fperms 4750 "${EPREFIX}/usr/libexec/dovecot/dovecot-lda"
- fi
-
- newinitd "${FILESDIR}"/dovecot.init-r4 dovecot
-
- rm -rf "${ED}"/usr/share/doc/dovecot
-
- dodoc AUTHORS NEWS README TODO
- dodoc doc/*.{txt,cnf,xml,sh}
- docinto example-config
- dodoc doc/example-config/*.{conf,ext}
- docinto example-config/conf.d
- dodoc doc/example-config/conf.d/*.{conf,ext}
- docinto wiki
- dodoc doc/wiki/*
- doman doc/man/*.{1,7}
-
- # Create the dovecot.conf file from the dovecot-example.conf file that
- # the dovecot folks nicely left for us....
- local conf="${ED}/etc/dovecot/dovecot.conf"
- local confd="${ED}/etc/dovecot/conf.d"
-
- insinto /etc/dovecot
- doins doc/example-config/*.{conf,ext}
- insinto /etc/dovecot/conf.d
- doins doc/example-config/conf.d/*.{conf,ext}
- fperms 0600 "${EPREFIX}"/etc/dovecot/dovecot-{ldap,sql}.conf.ext
- rm -f "${confd}/../README"
-
- # .maildir is the Gentoo default
- local mail_location="maildir:~/.maildir"
- if ! use maildir; then
- if use mbox; then
- mail_location="mbox:/var/spool/mail/%u:INDEX=/var/dovecot/%u"
- keepdir /var/dovecot
- sed -i -e 's|#mail_privileged_group =|mail_privileged_group = mail|' \
- "${confd}/10-mail.conf" || die "sed failed"
- elif use mdbox ; then
- mail_location="mdbox:~/.mdbox"
- elif use sdbox ; then
- mail_location="sdbox:~/.sdbox"
- fi
- fi
- sed -i -e \
- "s|#mail_location =|mail_location = ${mail_location}|" \
- "${confd}/10-mail.conf" \
- || die "failed to update mail location settings in 10-mail.conf"
-
- # We're using pam files (imap and pop3) provided by mailbase
- if use pam; then
- sed -i -e '/driver = pam/,/^[ \t]*}/ s|#args = dovecot|args = "\*"|' \
- "${confd}/auth-system.conf.ext" \
- || die "failed to update PAM settings in auth-system.conf.ext"
- # mailbase does not provide a sieve pam file
- use managesieve && dosym imap /etc/pam.d/sieve
- sed -i -e \
- 's/#!include auth-system.conf.ext/!include auth-system.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update PAM settings in 10-auth.conf"
- fi
-
- # Disable ipv6 if necessary
- if ! use ipv6; then
- sed -i -e 's/^#listen = \*, ::/listen = \*/g' "${conf}" \
- || die "failed to update listen settings in dovecot.conf"
- fi
-
- # Update ssl cert locations
- if use ssl; then
- sed -i -e 's:^#ssl = yes:ssl = yes:' "${confd}/10-ssl.conf" \
- || die "ssl conf failed"
- sed -i -e 's:^ssl_cert =.*:ssl_cert = </etc/ssl/dovecot/server.pem:' \
- -e 's:^ssl_key =.*:ssl_key = </etc/ssl/dovecot/server.key:' \
- "${confd}/10-ssl.conf" || die "failed to update SSL settings in 10-ssl.conf"
- fi
-
- # Install SQL configuration
- if use mysql || use postgres; then
- sed -i -e \
- 's/#!include auth-sql.conf.ext/!include auth-sql.conf.ext/' \
- "${confd}/10-auth.conf" || die "failed to update SQL settings in \
- 10-auth.conf"
- fi
-
- # Install LDAP configuration
- if use ldap; then
- sed -i -e \
- 's/#!include auth-ldap.conf.ext/!include auth-ldap.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update ldap settings in 10-auth.conf"
- fi
-
- if use vpopmail; then
- sed -i -e \
- 's/#!include auth-vpopmail.conf.ext/!include auth-vpopmail.conf.ext/' \
- "${confd}/10-auth.conf" \
- || die "failed to update vpopmail settings in 10-auth.conf"
- fi
-
- if use sieve || use managesieve ; then
- cd "../dovecot-${major_minor}-pigeonhole-${sieve_version}" || die "cd failed"
- emake DESTDIR="${ED}" install
- sed -i -e \
- 's/^[[:space:]]*#mail_plugins = $mail_plugins/mail_plugins = sieve/' "${confd}/15-lda.conf" \
- || die "failed to update sieve settings in 15-lda.conf"
- rm -rf "${ED}"/usr/share/doc/dovecot
- dodoc doc/*.txt
- docinto example-config/conf.d
- dodoc doc/example-config/conf.d/*.conf
- insinto /etc/dovecot/conf.d
- doins doc/example-config/conf.d/90-sieve.conf
- use managesieve && doins doc/example-config/conf.d/20-managesieve.conf
- docinto sieve/rfc
- dodoc doc/rfc/*.txt
- docinto sieve/devel
- dodoc doc/devel/DESIGN
- doman doc/man/*.{1,7}
- fi
-
- use static-libs || find "${ED}"/usr/lib* -name '*.la' -delete
-}
-
-pkg_postinst() {
- if use ssl; then
- # Let's not make a new certificate if we already have one
- if ! [[ -e "${ROOT}"/etc/ssl/dovecot/server.pem && \
- -e "${ROOT}"/etc/ssl/dovecot/server.key ]]; then
- einfo "Creating SSL certificate"
- SSL_ORGANIZATION="${SSL_ORGANIZATION:-Dovecot IMAP Server}"
- install_cert /etc/ssl/dovecot/server
- fi
- fi
-
- elog "Please read http://wiki2.dovecot.org/Upgrading/ for upgrade notes."
-}
diff --git a/net-mail/dovecot/files/dovecot-2.1.9_managesieve_gold.patch b/net-mail/dovecot/files/dovecot-2.1.9_managesieve_gold.patch
deleted file mode 100644
index 4b65b33e1eb9..000000000000
--- a/net-mail/dovecot/files/dovecot-2.1.9_managesieve_gold.patch
+++ /dev/null
@@ -1,62 +0,0 @@
-# HG changeset patch
-# User Stephan Bosch <stephan@rename-it.nl>
-# Date 1343690295 -7200
-# Node ID c52a0c5613119fdae86b29a797d5d442c1e8d959
-# Parent e3ea0270985aa297e45e575001a22321b0b87524
-Fix linkage with ld.gold.
-Patch by Eray Aslan.
-
-diff -r e3ea0270985a -r c52a0c561311 src/lib-sieve/Makefile.am
---- a/src/lib-sieve/Makefile.am Mon Jul 30 10:14:42 2012 +0200
-+++ b/src/lib-sieve/Makefile.am Tue Jul 31 01:18:15 2012 +0200
-@@ -70,8 +70,8 @@
- $(extdir)/vnd.dovecot/duplicate/libsieve_ext_duplicate.la \
- $(unfinished_plugins)
-
--libdovecot_sieve_la_DEPENDENCIES = $(plugins)
--libdovecot_sieve_la_LIBADD = $(plugins)
-+libdovecot_sieve_la_DEPENDENCIES = $(plugins) $(LIBDOVECOT_LDA_DEPS)
-+libdovecot_sieve_la_LIBADD = $(plugins) $(LIBDOVECOT_LDA)
-
- libdovecot_sieve_la_SOURCES = \
- rfc2822.c \
-
-
-# HG changeset patch
-# User Stephan Bosch <stephan@rename-it.nl>
-# Date 1342130270 -7200
-# Node ID 6ceeb642123117ed8377f3b0d7d28171f790e911
-# Parent 602d93069d3a1c93866178308bd4d03f20a15f73
-ManageSieve: fixed segfault bug triggered by CHECKSCRIPT command.
-
-diff -r 602d93069d3a -r 6ceeb6421231 src/lib-sievestorage/sieve-storage-save.c
---- a/src/lib-sievestorage/sieve-storage-save.c Sat May 26 00:16:35 2012 +0200
-+++ b/src/lib-sievestorage/sieve-storage-save.c Thu Jul 12 23:57:50 2012 +0200
-@@ -318,19 +318,20 @@
- bool sieve_storage_save_will_activate
- (struct sieve_save_context *ctx)
- {
-- const char *scriptname;
-- int ret = 0;
-+ bool result = FALSE;
-
-- T_BEGIN {
-+ if ( ctx->scriptname != NULL ) T_BEGIN {
-+ const char *scriptname;
-+ int ret;
-+
- ret = sieve_storage_get_active_scriptfile(ctx->storage, &scriptname);
--
- if ( ret > 0 ) {
- /* Is the requested script active? */
-- ret = ( strcmp(ctx->scriptname, scriptname) == 0 ? 1 : 0 );
-+ result = ( strcmp(ctx->scriptname, scriptname) == 0 );
- }
- } T_END;
-
-- return ret;
-+ return result;
- }
-
- int sieve_storage_save_commit(struct sieve_save_context **ctx)
-
diff --git a/net-mail/dovecot/files/dovecot-2.2.8-mail-headers.patch b/net-mail/dovecot/files/dovecot-2.2.8-mail-headers.patch
deleted file mode 100644
index bcd7ba66956d..000000000000
--- a/net-mail/dovecot/files/dovecot-2.2.8-mail-headers.patch
+++ /dev/null
@@ -1,49 +0,0 @@
-diff -r a91437fe94b6 -r 4ef184875799 src/lib-storage/index/index-mail-headers.c
---- a/src/lib-storage/index/index-mail-headers.c Wed Nov 20 14:38:55 2013 +0200
-+++ b/src/lib-storage/index/index-mail-headers.c Wed Nov 20 14:50:53 2013 +0200
-@@ -653,8 +653,8 @@
- /* cached. skip "header name: " parts in dest. */
- for (i = 0; i < len; i++) {
- if (data[i] == ':') {
-- while (IS_LWSP(data[i+1])) i++;
-- if (i+1 != len) i++;
-+ i++;
-+ while (i < len && IS_LWSP(data[i])) i++;
-
- /* @UNSAFE */
- len = get_header_size(dest, i);
-
-
-
-
-
-diff -r 4ef184875799 -r 47923cfd4b56 src/lib-storage/index/index-mail-headers.c
---- a/src/lib-storage/index/index-mail-headers.c Wed Nov 20 14:50:53 2013 +0200
-+++ b/src/lib-storage/index/index-mail-headers.c Wed Nov 20 15:07:26 2013 +0200
-@@ -603,7 +603,7 @@
- unsigned char *data;
- unsigned int field_idx;
- string_t *dest;
-- size_t i, len;
-+ size_t i, len, len2;
- int ret;
- ARRAY(const char *) header_values;
-
-@@ -657,10 +657,10 @@
- while (i < len && IS_LWSP(data[i])) i++;
-
- /* @UNSAFE */
-- len = get_header_size(dest, i);
-- data[i + len] = '\0';
-+ len2 = get_header_size(dest, i);
-+ data[i + len2] = '\0';
- value = (const char *)data + i;
-- i += len + 1;
-+ i += len2 + 1;
-
- array_append(&header_values, &value, 1);
- }
-
-
-
-
diff --git a/net-mail/dovecot/files/dovecot-2.2.8-sieve.patch b/net-mail/dovecot/files/dovecot-2.2.8-sieve.patch
deleted file mode 100644
index 0b4d8fe0e4af..000000000000
--- a/net-mail/dovecot/files/dovecot-2.2.8-sieve.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-diff -r d3cf06639864 -r f4eb4b5884b2 src/lib-storage/index/index-mail-headers.c
---- a/src/lib-storage/index/index-mail-headers.c Sun Feb 24 09:16:31 2013 +0200
-+++ b/src/lib-storage/index/index-mail-headers.c Wed Nov 20 14:37:44 2013 +0200
-@@ -653,7 +653,8 @@
- /* cached. skip "header name: " parts in dest. */
- for (i = 0; i < len; i++) {
- if (data[i] == ':') {
-- if (i+1 != len && data[++i] == ' ') i++;
-+ while (IS_LWSP(data[i+1])) i++;
-+ if (i+1 != len) i++;
-
- /* @UNSAFE */
- len = get_header_size(dest, i);
-
-
-
-
-
-diff -r f4eb4b5884b2 -r a91437fe94b6 src/lib-storage/index/index-mail-headers.c
---- a/src/lib-storage/index/index-mail-headers.c Wed Nov 20 14:37:44 2013 +0200
-+++ b/src/lib-storage/index/index-mail-headers.c Wed Nov 20 14:38:55 2013 +0200
-@@ -760,6 +760,9 @@
- mail_cache_set_corrupted(_mail->box->cache,
- "Broken header %s for mail UID %u",
- field, _mail->uid);
-+ /* retry by parsing the full header */
-+ } else {
-+ break;
- }
- }
- return ret;
-@@ -788,6 +791,9 @@
- mail_cache_set_corrupted(_mail->box->cache,
- "Broken header %s for mail UID %u",
- field, _mail->uid);
-+ /* retry by parsing the full header */
-+ } else {
-+ break;
- }
- }
- *value_r = list[0];
-
-
-
-
-
diff --git a/net-mail/dovecot/files/dovecot.init-r3 b/net-mail/dovecot/files/dovecot.init-r3
deleted file mode 100644
index 98c0e7d8605a..000000000000
--- a/net-mail/dovecot/files/dovecot.init-r3
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License, v2 or later
-# $Header: /var/cvsroot/gentoo-x86/net-mail/dovecot/files/dovecot.init-r3,v 1.1 2011/09/17 10:33:38 eras Exp $
-
-extra_started_commands="reload"
-
-depend() {
- need localmount net
- before postfix
- after bootmisc ldap mysql ntp-client ntpd postgresql saslauthd slapd
- use logger
-}
-
-checkconfig() {
- DOVECOT_INSTANCE=${SVCNAME##*.}
- if [ -n "${DOVECOT_INSTANCE}" -a "${SVCNAME}" != "dovecot" ]; then
- DOVECOT_CONF=/etc/dovecot/dovecot.${DOVECOT_INSTANCE}.conf
- else
- DOVECOT_CONF=/etc/dovecot/dovecot.conf
- fi
- if [ ! -e ${DOVECOT_CONF} ]; then
- eerror "You will need an ${DOVECOT_CONF} first"
- return 1
- fi
- if [ -x /usr/sbin/dovecot ]; then
- DOVECOT_BASEDIR=$(/usr/sbin/dovecot -c ${DOVECOT_CONF} -a | grep '^base_dir = ' | sed 's/^base_dir = //')
- else
- eerror "dovecot not executable"
- return 1
- fi
- DOVECOT_BASEDIR=${DOVECOT_BASEDIR:-/var/run/dovecot}
- DOVECOT_PIDFILE=${DOVECOT_BASEDIR}/master.pid
-}
-
-start() {
- checkconfig || return 1
- ebegin "Starting ${SVCNAME}"
- start-stop-daemon --start --exec /usr/sbin/dovecot \
- --pidfile "${DOVECOT_PIDFILE}" -- -c "${DOVECOT_CONF}"
- eend $?
-}
-
-stop() {
- checkconfig || return 1
- ebegin "Stopping ${SVCNAME}"
- start-stop-daemon --stop --exec /usr/sbin/dovecot \
- --pidfile "${DOVECOT_PIDFILE}"
- eend $?
-}
-
-reload() {
- checkconfig || return 1
- ebegin "Reloading ${SVCNAME} configs and restarting auth/login processes"
- start-stop-daemon --signal HUP --exec /usr/sbin/dovecot \
- --pidfile "${DOVECOT_PIDFILE}"
- eend $?
-}